Distribution: 	CCux
Packager: 	Dieter Rethmeyer <Dieter@Rethmeyers.de>

Name: 		athcool
Version: 	0.3.9
Release: 	2
Source0: 	athcool-%{version}.tar.gz
Summary: 	Athlon Powersaving bits enabler
URL: 		http://members.jcom.home.ne.jp/jacobi/linux/softwares.html
License: 	GPL
Group: 		System/Configuration/Hardware
BuildPrereq: 	pciutils-devel
BuildRoot: 	%{_tmppath}/%{name}-buildroot

%description
athcool is a small utility, enabling/disabling Powersaving mode
for AMD Athlon/Duron processors.

Since enabling Powersaving mode, you can save power consumption, 
lower CPU temprature when CPU is idle.

Powersaving works if your kernel support ACPI (APM not work),
because athcool only set/unset "Disconnect enable when STPGNT detected"
bits in the Northbridge of Chipset.
To really save power, someone has to send the STPGNT signal when idle.
This is done by the ACPI subsystem when C2 state entered.

!!!WARNING!!!
Depending on your motherboard and/or hardware components, 
enabling powersaving mode may cause that:

 * noisy or distorted sound playback
 * a slowdown in harddisk performance
 * system locks or instability
 * massive filesystem corruption (rare, but observed at least once)

If you met those problems, you should not use athcool.
Please use athcool AT YOUR OWN RISK.

%post
#/sbin/chkconfig --level 2345 athcool on
cd /etc/rc.d
ln -fs ../init.d/athcool rc0.d/K20athcool
ln -fs ../init.d/athcool rc1.d/K20athcool
ln -fs ../init.d/athcool rc2.d/S20athcool
ln -fs ../init.d/athcool rc3.d/S20athcool
ln -fs ../init.d/athcool rc4.d/S20athcool
ln -fs ../init.d/athcool rc5.d/S20athcool
ln -fs ../init.d/athcool rc6.d/K20athcool
echo "------------------------------------------------------------------"
echo "athcool is switched on now!"
echo "to switch off athcool enter as root: /etc/rc.d/init.d/athcool stop"
echo "------------------------------------------------------------------"
/etc/rc.d/init.d/athcool start

%preun
#/sbin/chkconfig --level 2345 athcool off
cd /etc/rc.d
rm -f rc0.d/K20athcool
rm -f rc1.d/K20athcool
rm -f rc2.d/S20athcool
rm -f rc3.d/S20athcool
rm -f rc4.d/S20athcool
rm -f rc5.d/S20athcool
rm -f rc6.d/K20athcool

%prep
%setup -n %{name}-%{version}

%build
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR="$RPM_BUILD_ROOT"
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';'
make install-script DESTDIR=$RPM_BUILD_ROOT
install -m 755 -d $RPM_BUILD_ROOT/etc/rc.d/init.d
mv $RPM_BUILD_ROOT/etc/init.d/athcool $RPM_BUILD_ROOT/etc/rc.d/init.d

%files
%defattr(-, root, root)
%doc README COPYING ChangeLog
%{_sbindir}/athcool
# %{_mandir}/man8/*
%{_datadir}/man/man8/*
# %{_initrddir}/athcool
/etc/rc.d/init.d/athcool

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Mar 21 2005 Christian Metzen <metzench@ccux-linux.de> - 0.3.9-2
- Fixed Bug # 0000059
* Thu Feb 09 2005 Dieter Rethmeyer <Dieter@Rethmeyers.de> - 0.3.9-1
- First package Release 
- athcool activated in runlevel 2,3,4,5; off in runlevel 0,1,6